Python 典藏篇-Microsoft Visual C++ 14.0 is required,官方vc++运行库工具一键式解决!

前言
error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools": http://landinghub.visualstudio.com/visual-cpp-build-tools
在用 pip 安装 pyHook3 的时候报错了,说缺少 vc++14.0,但是在网上却找不到,为什么呢。
vc++14.0 就是 vc++2015,全称:Microsoft Visual c ++ 2015

下面提供3种解决方式:

  • 推荐: 安装 vc++ 运行库集合,这个我有官方工具,不用安装整个 vs2017
  • 直接下载 whl 库进行安装,简单
  • 安装 vc++2015这个我是试了,没管用
官方c++运行库安装工具,❤强力推荐!

因为很多时候即使我们安装成功了它说的对应的运行库,还是不行,必须安装所有的运行库才可以,不知道它还需要什么库。

Microsoft Visual C++ Build Tools官方工具获取使用

直接下载whl库进行安装

一般碰到
Microsoft Visual C++ 14.0 is required
最好的解决办法就是下在网上下一个whl库到本地,我们再安装就好了。

whl库常用获取地址:
pipy 官方下载
lfd.uci.edu 下载

安装vc++2015

vc++2015 获取方式:
小蓝枣的资源仓库,提取码:cekb

为什么呢? 我们安装时就会看到最后面有个 14.0 的版本号,发行的时候是按年号来发行的便于大家记忆,15 年发行的对应的内部对应的版本就是 14.0
在这里插入图片描述
注:安装的话 x86x64 都要安装,虽然是 64 位的,但是 x86 更重要呢,因为很多程序用的库都是基于 x86 的,因为兼容性更好,相比 x64 却很少被用。

喜欢的点个赞❤吧

已标记关键词 清除标记
©️2020 CSDN 皮肤主题: 撸撸猫 设计师:C马雯娟 返回首页